#include <stdlib.h>
#include "cursor.h"


mbtk_mocu_t *mbtk_mocu_create_named(mbtk_display_t *display, mbtk_mocu_named_t name)
{
	if ((display == NULL) || (display->be == NULL) || (display->be->mocu_create_named == NULL))
		return NULL;

	return display->be->mocu_create_named(display, name);

}

mbtk_mocu_t *mbtk_mocu_create_pixmap(mbtk_display_t *display, int width, int height, unsigned const char *px, unsigned const char *mask, int hot_x, int hot_y)
{
	if ((display == NULL) || (display->be == NULL) || (display->be->mocu_create_pixmap == NULL))
		return NULL;

	return display->be->mocu_create_pixmap(display, width, height, px, mask, hot_x, hot_y);
}

void mbtk_mocu_free_cursor(mbtk_display_t *display, mbtk_mocu_t *curs)
{
	if ((display == NULL) || (display->be == NULL) || (display->be->mocu_free_cursor == NULL))
		return;

	return display->be->mocu_free_cursor(display, curs);
}

void mbtk_mocu_set_cursor(mbtk_display_t *display, mbtk_mocu_t *curs)
{
	if ((display == NULL) || (display->be == NULL) || (display->be->mocu_set_cursor == NULL))
		return;

	return display->be->mocu_set_cursor(display, curs);
}
