#include <stdlib.h>
#include <stdio.h>
#include <stdarg.h>
#include <string.h>

#include "util.h"

char *mbtk_strdup(const char *s)
{
	int l = strlen(s);
	char *o = malloc(l+1);
	memcpy(o, s, l+1);
	return o;
}

void mbtk_error(const char *fmt, ...)
{
	va_list ap;

	fprintf(stderr, "MBTK ERROR: ");
	va_start(ap, fmt);
	vfprintf(stderr, fmt, ap);
	va_end(ap);
}

void mbtk_warning(const char *fmt, ...)
{
	va_list ap;

	fprintf(stderr, "MBTK warning: ");
	va_start(ap, fmt);
	vfprintf(stderr, fmt, ap);
	va_end(ap);
}
