#include <libmbtk/backend.h>

mbtk_font_id_t mbtk_resolve_font(mbtk_display_t *display, int argc, char *argv[]);

void mbtk_draw_start(mbtk_window_t *win);
int mbtk_draw_color(mbtk_window_t *win, int r, int g, int b, int a);
void mbtk_draw_fillrect(mbtk_window_t *win, int x1, int y1, int x2, int y2);
void mbtk_draw_line(mbtk_window_t *win, int x1, int y1, int x2, int y2);
void mbtk_draw_hline(mbtk_window_t *win, int x1, int y1, int x2);
void mbtk_draw_vline(mbtk_window_t *win, int x1, int y1, int y2);
void mbtk_draw_flush(mbtk_window_t *win);

int mbtk_draw_set_font(mbtk_window_t *win, mbtk_font_id_t fontid);
void mbtk_draw_query_text(mbtk_window_t *win, int *w, int *ascent, int *descent, char *s, int slen);
void mbtk_draw_text(mbtk_window_t *win, int x, int y, char *s, int slen, void **cache);
void mbtk_draw_free_text(mbtk_window_t *win, void **cache);

int mbtk_draw_import_pixmap(mbtk_display_t *display, mbtk_pixmap_t *dst, unsigned char *pixels, int width, int height, int has_alpha);
void mbtk_draw_free_pixmap(mbtk_display_t *display, mbtk_pixmap_t *px);
mbtk_px_id_t mbtk_draw_bind_pixmap(mbtk_window_t *win, mbtk_pixmap_t *px);
void mbtk_draw_unbind_pixmap(mbtk_window_t *win, mbtk_px_id_t pxid);
void mbtk_draw_pixmap(mbtk_window_t *win, int x, int y, mbtk_px_id_t pxid);

